##### Output.py
#
#  Display Output
#
####################################################

# Get current scene
scene = GameLogic.getCurrentScene()
# get list of objects in scene
objList = scene.objects

# Get object named pi
p1 = objList["OBp1"]
p2 = objList["OBp2"]
p3 = objList["OBp3"]
p4 = objList["OBp4"]
p5 = objList["OBp5"]

# Get object named ti
t1 = objList["OBt1"]
t2 = objList["OBt2"]
t3 = objList["OBt3"]
t4 = objList["OBt4"]
t5 = objList["OBt5"]

## Load players from Dict
players = GameLogic.globalDict.get("players")

################################################
## Method to sort a list [a,b,c] ascending on b
def comp(v1, v2):
    if v1[1]<v2[1]:
        return -1
    elif v1[1]>v2[1]:
        return 1
    else:
        return 0
################################################

################################################
## Method to sort a list [a,b,c] descending on b
def decomp(v1, v2):
    if v1[1]<v2[1]:
        return 1
    elif v1[1]>v2[1]:
        return -1
    else:
        return 0
################################################

## Sort players list
players.sort(cmp=comp)

# Set name and time

play1 = players[0][0]
time1 = players[0][1]

play2 = players[1][0]
time2 = players[1][1]

play3 = players[2][0]
time3 = players[2][1]

play4 = players[3][0]
time4 = players[3][1]

play5 = players[4][0]
time5 = players[4][1]

# Set prop Text in objects
p1['Text'] = play1
p2['Text'] = play2
p3['Text'] = play3
p4['Text'] = play4
p5['Text'] = play5


t1['Text'] = str(time1)
t2['Text'] = str(time2)
t3['Text'] = str(time3)
t4['Text'] = str(time4)
t5['Text'] = str(time5)

