##### Server_Loc_Rot.py
#
# Car is Server, Car1 is Client
#
# SEND Car Location and Rotation /  RECEIVE Car1 Location and Rotation
#
####################################################
from socket import *
from cPickle import *

# Get owner
controller = GameLogic.getCurrentController()
owner = controller.owner

if owner['OneTime'] == 0:
	Host = ''
	ServerPort = 10000
	GameLogic.sServer = socket(AF_INET,SOCK_DGRAM)
	GameLogic.sServer.bind((Host,ServerPort))	
	GameLogic.sServer.setblocking(0)
	owner['OneTime'] = 1
	
PosYou = owner.position # liste de 3
OriYou = owner.orientation # liste de 3 x 3

# get current scene
scene = GameLogic.getCurrentScene()

# get list of objects in scene
objList = scene.objects

# get object named Car and Car1
Client = objList["OBCar1"]

# Set default position
PosClient = [0,0,0]
OriClient = [[0,0,0],[0,0,0],[0,0,0]]

#------------RECEIVE/SEND--------------#

try:
	Data, CLIP = GameLogic.sServer.recvfrom(1024)
	UPData = loads(Data)

	PosClient = [UPData[0][0],UPData[0][1],UPData[0][2]]
	OriClient = [UPData[1][0],UPData[1][1],UPData[1][2]]

	Client.position = (PosClient)
	Client.orientation = (OriClient)
	
	Data = dumps((PosYou,OriYou))
	
	GameLogic.sServer.sendto(Data,CLIP)	

except:
	pass
#---------------THE-END----------------#
